Subject: Re: [PATCH v2 2/3] dt-bindings: arm: sunxi: Add Baijie HelperBoard A133 compatible

From: Conor Dooley <[email-masked]>
Date: Mon, 11 May 2026 17:34:03 +0100

On Mon, May 11, 2026 at 06:18:22PM +0200, Alexander Sverdlin wrote:
> Hi Conor,
> 
> On Mon, 2026-05-11 at 17:08 +0100, Conor Dooley wrote:
> > > Baijie HelperBoard A133 is a development board around their A133 Core
> > > board. Introduce a compatible for both the Core and the development
> > > boards.
> > > 
> > > Signed-off-by: Alexander Sverdlin <[email-masked]>
> > > ---
> > > 
> > > Changelog:
> > > v2:
> > > - introduced baijie,helper-a133-core compatible for the Core (SoM) board
> > > 
> > >   Documentation/devicetree/bindings/arm/sunxi.yaml | 11 +++++++++++
> > >   1 file changed, 11 insertions(+)
> > > 
> > > diff --git a/Documentation/devicetree/bindings/arm/sunxi.yaml b/Documentation/devicetree/bindings/arm/sunxi.yaml
> > > index e6443c266fa1..d7b9dec81165 100644
> > > --- a/Documentation/devicetree/bindings/arm/sunxi.yaml
> > > +++ b/Documentation/devicetree/bindings/arm/sunxi.yaml
> > > @@ -96,6 +96,17 @@ properties:
> > >             - const: allwinner,ba10-tvbox
> > >             - const: allwinner,sun4i-a10
> > >   

> > > +
> > > +      - description: HelperBoardA133 Core
> > > +        items:
> > > +          - const: baijie,helper-a133-core
> > > +          - const: allwinner,sun50i-a100
> > 
> > Does this make sense? Can the core board be used without a carrier?
> 
> such operation would be impractical at least, that's why in my v1
> Core board didn't have its own compatible. Maybe I didn't understand
> you correctly.

I just wanted a comaptible for the SoM, so that there's a common
compatible for that if it ends up on another carrier. IIRC these Baijie
folks had another one on their site, but may be misremembering.

> 
> Shall I drop the above 4 lines, the compatible property from the
> root in sun50i-a133-baije-core.dtsi and only leave
> sun50i-a133-baijie-helper.dtb with 3-strings compatible as it is
> now in v2?

> > > +      - description: Baijie Helper A133
> > > +        items:
> > > +          - const: baijie,helper-a133
> > > +          - const: baijie,helper-a133-core
> > > +          - const: allwinner,sun50i-a100

What I wanted was just this, so trim it down to that and you can add
my Acked-by: Conor Dooley <[email-masked]>

~heers,
Conor.